Package org.eclipse.m2m.atl.core.ant.tasks

# Class SaveModelTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.eclipse.m2m.atl.core.ant.tasks.AbstractAtlTask
org.eclipse.m2m.atl.core.ant.tasks.SaveModelTask

All Implemented Interfaces:
  `Cloneable`

public class SaveModelTask extends AbstractAtlTask
Model saving task.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`factory`
`protected String`
`model`
`protected File`
`path`
`protected boolean`
`setSavedFilesToDerived`
`protected String`
`uri`

### Fields inherited from class org.eclipse.m2m.atl.core.ant.tasks.AbstractAtlTask

`DEFAULT_LAUNCHER, DEFAULT_MODEL_HANDLER, LAUNCHER_PROPERTY, OPTION_MODEL_HANDLER, OPTION_MODEL_NAME, OPTION_MODEL_PATH, OPTION_NEW_MODEL, RESULT_REFERENCE`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`SaveModelTask()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addConfiguredExtractor(Extractor extractor)`
Adds an extractor.
`void`
`execute()`
`String`
`getFactory()`
`boolean`
`isDerived()`
`void`
`setDerived(boolean isDerived)`
`void`
`setFactory(String factory)`
`void`
`setModel(String model)`
`void`
`setPath(File path)`
`void`
`setUri(String uri)`

### Methods inherited from class org.eclipse.m2m.atl.core.ant.tasks.AbstractAtlTask

`error, error, getDefaultModelFactory, getLauncher, getLauncherName, init, newModel, newModel, newReferenceModel`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### setSavedFilesToDerived

protected boolean setSavedFilesToDerived

### model

protected String model

### path

protected File path

### uri

protected String uri

### factory

protected String factory

## Constructor Details

### SaveModelTask

public SaveModelTask()

## Method Details

### isDerived

public boolean isDerived()

### setDerived

public void setDerived(boolean isDerived)

### setModel

public void setModel(String model)

### setPath

public void setPath(File path)

### setUri

public void setUri(String uri)

### getFactory

public String getFactory()

### addConfiguredExtractor

public void addConfiguredExtractor(Extractor extractor)
Adds an extractor.

Parameters:
  `extractor` - the given extractor

### setFactory

public void setFactory(String factory)

### execute

public void execute() throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `AbstractAtlTask`
Throws:
  `org.apache.tools.ant.BuildException`
See Also:
  - `AbstractAtlTask.execute()`